## org.apache.mahout.classifier.df.builder
Interface TreeBuilder

All Known Implementing Classes:
  DecisionTreeBuilder, DefaultTreeBuilder

    public interface TreeBuilder

Abstract base class for TreeBuilders

Method Summary
`Node` `build(Random rng, Data data)` Builds a Decision tree using the training data

Method Detail

### build

    Node build(Random rng,
               Data data)

  Builds a Decision tree using the training data

  Parameters:
    `rng` - random-numbers generator
    `data` - training data
  Returns:
    root Node

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.